Name:               boom
Version:            0.8
Release:            1%{?dist}
Summary:            Simple HTTP Load tester

Group:              Development/Tools
# Not sure which version number.  Defaulting to latest for now.
# https://github.com/tarekziade/boom/issues/14
License:            ASL 2.0
URL:                http://pypi.python.org/pypi/boom
Source0:            http://pypi.python.org/packages/source/b/boom/boom-%{version}.tar.gz
Patch0:             boom-unittest2.patch

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-gevent
BuildRequires:      python-requests
BuildRequires:      python-nose
BuildRequires:      python-unittest2

Requires:           python-gevent
Requires:           python-requests

# XXX - Temporary:  https://github.com/tarekziade/boom/pull/46
Requires:           python-unittest2

# In case people search for it in this way
Provides:           python-boom

%description
Boom! is a simple command line tool to send some load to a web app.

It is a script you can use to quickly smoke-test your web app
deployment.  Boom! was specifically written to replace my Apache
Bench usage, because I was annoyed by some bugs and some stupid
behaviors.

%prep
%setup -q -n boom-%{version}

%patch0 -p1

# Remove bundled egg-info in case it exists
rm -rf boom.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
PYTHONPATH=$(pwd) nosetests

%files
%license LICENSE
%doc README.rst PKG-INFO
%{python_sitelib}/boom/
%{python_sitelib}/boom-%{version}*
%{_bindir}/boom

%changelog
* Mon Mar 23 2015 Ralph Bean <rbean@redhat.com> - 0.8-1
- new version

* Tue Dec 16 2014 Ralph Bean <rbean@redhat.com> - 0.8-1
- Latest upstream.
- Include license file.
- Require python-unittest2
- Try to patch out unittest2.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 11 2013 Ralph Bean <rbean@redhat.com> - 0.5-2
- Changed group to Development/Tools.
- Removed use of %%{modname} macro.
- Added Provides: python-boom for search.

* Sat Mar 09 2013 Ralph Bean <rbean@redhat.com> - 0.5-1
- Initial package for Fedora
